#pragma once
#include "Polygon.h"

struct Polygon
{
    // Constructors
    Polygon()
    {
    }

    Polygon(size_t pointCount)
    {
        Points = std::vector<D2D1_POINT_2F>(pointCount);
    }

    // Move constructor 
    Polygon(Polygon && other) : Points(std::move(other.Points))
    {
    }

    std::vector<D2D1_POINT_2F> Points;

    static HRESULT CreateGeometry(ID2D1Factory* factory,
                                  const std::vector<Polygon>& polygons,
                                  ID2D1PathGeometry** pathGeometry);
};